<?php

namespace OrganizationsManagement\Factory;

use Teknisa\Model\Geral\Entities\Cliente as EntidadeCliente;
use Teknisa\Model\Planejamento\Entities\Clienfilial;

class Cliente {
    public function cria(
        $nrorg, $nrparcnegocio, $cdcliente, $idtpijurclie, $idativo,
        $nrinsjurclie, $nmrazsocclie, $nmfantclie,
        $dtinclusao, $dtultatu, $cdoperinclusao = null, $nrorginclusao = null
    ){
        $e = new EntidadeCliente();

        $e->setNrorg($nrorg);
        $e->setIdativo($idativo);
        $e->setCdcliente($cdcliente);
        $e->setNrparcnegocio($nrparcnegocio);
        $e->setIdtpijurclie($idtpijurclie);
        $e->setNrinsjurclie($nrinsjurclie);
        $e->setNmrazsocclie($nmrazsocclie);
        $e->setNmfantclie($nmfantclie);

        $e->setDtinclusao($dtinclusao);
        $e->setDtultatu($dtultatu);
        
        if($cdoperinclusao) {
            $e->setCdoperinclusao($cdoperinclusao);
            $e->setCdoperultatu($cdoperinclusao);
        }
        if($nrorginclusao) {
            $e->setNrorginclusao($nrorginclusao);
            $e->setNrorgultatu($nrorginclusao);
        }

        return $e;
    }

    public function criaClienfilial($nrorg, $cdfilial, $cdcliente, $dtinclusao) 
    {
        $e = new Clienfilial();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdcliente($cdcliente);
        $e->setIdpermvendafos('S');
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
} 