<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Services\Entities\FctParametrogeral as EntitySmIntegracoes;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class FctParametrogeral
{

    public function save(EntitySmIntegracoes $entitySmIntegracoes = null, $nrorg, $cdoperador, $dtinclusao, $idIntegracaoOm, $urlIntegracaoOm, $idIntegracaoCrm, $urlIntegracaoCrm, $nrOrcaModeloCust, $cdPrecBaseServCust)
    {
        if ($entitySmIntegracoes === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "FCT_PARAMETROGERAL", 1, 10, false, false);
            $entitySmIntegracoes = new EntitySmIntegracoes();
            $entitySmIntegracoes->setNrparametrogeral($novoCodigo);
            $entitySmIntegracoes->setDtinclusao($dtinclusao);
            $entitySmIntegracoes->setNrorginclusao($nrorg);
            $entitySmIntegracoes->setCdoperinclusao($cdoperador);
        }

        $entitySmIntegracoes->setNrorg($nrorg);
        $entitySmIntegracoes->setDtultatu($dtinclusao);
        $entitySmIntegracoes->setNrorgultatu($nrorg);
        $entitySmIntegracoes->setCdoperultatu($cdoperador);
        $entitySmIntegracoes->setIdintegracaoom($idIntegracaoOm);
        $entitySmIntegracoes->setUrlintegracaoom($urlIntegracaoOm);
        $entitySmIntegracoes->setIdintegracaocrm($idIntegracaoCrm);
        $entitySmIntegracoes->setUrlintegracaocrm($urlIntegracaoCrm);
        $entitySmIntegracoes->setNrorcamodelocust($nrOrcaModeloCust);
        $entitySmIntegracoes->setCdprecbaseservcust($cdPrecBaseServCust);
        return $entitySmIntegracoes;
    }

    public function saveCustomization(EntitySmIntegracoes $entitySmIntegracoes = null, $nrorg, $cdoperador, $dtinclusao, $nmOrcaModeloCust, $dsPrecBaseServCust, $cdservmanucust, $nrtipoorcamentocust, $vrpercmanucust)
    {
        if ($entitySmIntegracoes === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "FCT_PARAMETROGERAL", 1, 10, false, false);
            $entitySmIntegracoes = new EntitySmIntegracoes();
            $entitySmIntegracoes->setNrparametrogeral($novoCodigo);
            $entitySmIntegracoes->setDtinclusao($dtinclusao);
            $entitySmIntegracoes->setNrorginclusao($nrorg);
            $entitySmIntegracoes->setCdoperinclusao($cdoperador);
        }

        $entitySmIntegracoes->setNrorg($nrorg);
        $entitySmIntegracoes->setDtultatu($dtinclusao);
        $entitySmIntegracoes->setNrorgultatu($nrorg);
        $entitySmIntegracoes->setCdoperultatu($cdoperador);
        $entitySmIntegracoes->setNrorcamodelocust($nmOrcaModeloCust);
        $entitySmIntegracoes->setCdprecbaseservcust($dsPrecBaseServCust);
        
        $entitySmIntegracoes->setCdservmanucust($cdservmanucust);
        $entitySmIntegracoes->setNrtipoorcamentocust($nrtipoorcamentocust);
        $entitySmIntegracoes->setVrpercmanucust($vrpercmanucust);
        return $entitySmIntegracoes;
    }
}