<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Geral\Entities\Tabela as TableEntity;
use OrganizationsManagement\Factory;
use OrganizationsManagement\Util\Utilities as Utilities;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class Table {

    public function save(TableEntity $table=null, $codOperador, $dateNow, $orgId, $tableName, $tableDescription, $tableActive, $tableSequential = null)
    {
        if ($table === null){
            $table = new TableEntity();
            $table->setCdoperinclusao($codOperador);
            $table->setDtinclusao($dateNow);
            $table->setIdcriadotab('S');
            $table->setNmtabelabd($tableName);
            $table->setNrorg($orgId);
            $table->setNrorginclusao($orgId);
        }

        $table->setIdativo($tableActive);
        $table->setDstabelabd($tableDescription);
        $table->setDsidsequencial($tableSequential);
        $table->setCdoperultatu($codOperador);
        $table->setDtultatu($dateNow);
        $table->setNrorgultatu($orgId);
        
        return $table;
    }
}
